function [] = PlotAlHomoud(freq,Euu,urms,epsilon)
% plot nondimensional spectrum according to alhomoud,
% following Euu/(urms^4/epsilon)=f(omega*urms^2/epsilon)
figure;
freqadim=freq*urms^2/epsilon;
Euuadim=Euu/(urms^4/epsilon);
plot(log10(freqadim),log10(Euuadim),'k');
hold on
plot([-1 3],[log10((epsilon*urms)^(2.0/3.0)*(0.1*epsilon/urms^2)^(-5.0/3.0)/(urms^4/epsilon)) log10((epsilon*urms)^(2.0/3.0)*(1000.0*epsilon/urms^2)^(-5.0/3.0)/(urms^4/epsilon))],'k--'); %alpha=1.0
plot([-1 3],[log10(0.3) log10(0.3)],'k--'); %moyenne courbes de l'article
axis([-1 3 -5 1]);
xlabel('\omega*u_{rms}^2/\epsilon');
%ylabel('log10(E_{uu}(\omega)* \frac{(2 \pi)^2}{u_{rms} L_{int}})')
ylabel('E_{uu}(\omega)/(u_{rms}^4/\epsilon)')
title('Temporal spectrum E_{uu}(\omega) in nondimensional representation of Al Homoud')
end

