function [kxadim,Eaff,etak]=AdimspectrumMODIF(kx,Euu,epsilon,lint)
% nondimensional spectrum
% we suppose : Int(Euu) between -infty and +infty = urms^2
% E11(k1)=18/55 K0 (Keta)^-5/3
% we also have (Tennekes) 
% F11(0)=urms^2/pi*Lintu'u' (p273)
% F22(0)=urms^2/pi*Lintw'w' (p273)
% avec Lf(u'u' et x)=Lint/2 et Lg(w'w' et x)=Lint/4
% JUNE 2012 TENTATIVES FOR IMPROVEMENT
ss=squeeze(size(Euu));
nx=ss(1)
nu=0.01;    % everything in in cm for the lengths
K0=1.8;
%K0=1.5;
%facteur=9.0/55.0; % pas clair
facteur=18.0/55.0; % pour E11(k1)
facteur=1.0; % pour E(k)
% urms verification
intEuu=sum(Euu)*kx(2);
urms2=intEuu;
fprintf(1,'Int(Euu) from -inty to infty : %u\t, should be equal (or close) to urms^2 : %u\n ',intEuu,urms2); 
%facteur=66/55.0;
etak=(nu^3/epsilon)^0.25;
kxadim=etak*kx;
kxadim=etak*kx*2.0*pi;  % MARCHE MIEUX A PREMIERE VUE !!!
Euuadim=Euu/(epsilon*nu^5)^0.25;
Euuadimtheo=facteur*K0*(kxadim).^(-5.0/3.0);
EuuadimtheoTennekes=Euuadimtheo;
kx0int=1.8/lint;
alpha=1.5;
for i=1:nx
    kxloc=kx(i);
    if (kxloc<kx0int)
        Euuloc=33/110*alpha*urms2*lint*(kx0int*lint)^(-5.0/3.0)*(1.0-5.0/11.0*(kxloc/kx0int)^2);
        Euuloc=55/9*33/110*alpha*urms2*lint*(kx0int*lint)^(-5.0/3.0)*(1.0-5.0/11.0*(kxloc/kx0int)^2);        
    else
        Euuloc=18/55*alpha*urms2*lint*(kxloc*lint)^(-5.0/3.0);
        Euuloc=1*alpha*urms2*lint*(kxloc*lint)^(-5.0/3.0);
    end
    EuuadimtheoTennekes(i)=Euuloc/(epsilon*nu^5)^0.25;
end
% CALCUL DE E(K) %
% E(k)=.5k^3 d/dk(1/k*dE11/dk)
Euuadimlisse=smooth(Euuadim,5);
deriv1=derivspline(kxadim,Euuadimlisse)./kxadim;
deriv1(1)=0.0
Espectre=0.5*kxadim.^3.*derivspline(kxadim,deriv1);
Euuadimtheobis=facteur*K0*(kxadim).^(-5.0/3.0).*exp(-K0*(kxadim).^(4.0/3.0));
Euuadimtheoter=facteur*K0*(kxadim).^(-5.0/3.0).*(1.0+(1.5*K0)^2.*(kxadim).^(4.0)).^(-4.0/3.0);
Euuadimtheo4=facteur*K0*(kxadim).^(-5.0/3.0).*(1.0-0.5*K0*(kxadim).^(4.0/3.0)).^2;
kxadimlint=2.0*pi/lint*etak;

Eaff=Espectre;

figure;
plot(log10(kxadim),log10(Eaff),'ko');
hold on
minikxadim=log10(kxadim(2))
maxikxadim=log10(kxadim(nx/2))
Emin=log10(Eaff(nx/2))
Emax=log10(max(Eaff(1:(nx/2))))
%minikxadim=-2.5
%maxikxadim=0.0
%Emin=-2.0;
%Emax=1.5
axis([minikxadim maxikxadim Emin Emax]);
%dec=-1.;
%plot([minifreqadim maxifreqadim],[log10(Euuadim(tailletps/2-1))+5.0/3.0*(maxifreqadim-minifreqadim)+dec log10(Euuadim(tailletps/2-1))+dec]);
hold on
plot([log10(kxadimlint) log10(kxadimlint)],[Emin Emax],'r');
plot([0 0],[Emin Emax],'r');
plot(log10(kxadim),log10(Euuadimtheo),'g');
plot(log10(kxadim),log10(EuuadimtheoTennekes),'b');
plot(log10(kxadim),log10(Euuadimtheobis),'g--');
plot(log10(kxadim),log10(Euuadimtheoter),'g--');
plot(log10(kxadim),log10(Euuadimtheo4),'g--');
% calcul E(k)
end

function yder=derivspline(x,y)
% (x;y) sont les points  fitter
% diffrentiation:
pp = spline(x,y); % obtient les polynmes partiels de la spline
if pp.pieces(1)~=length(y)-1
error('pas de pp-form pour cette spline cubique')
end
[br, coefs, l, k] = unmkpp(pp); % obtient les coefficients des polynmes
sf = k-1:-1:1; % scaling factors
dco = sf(ones(l,1),:) .* coefs(:,1:k-1); % value les coeffs de drivation
ppd = mkpp(br, dco); %construit la pp-form pour la diffrentiation
yder = ppval(ppd,x); % calcul de la drive
end
